Get business visa eligibility and requirements

This endpoint receives personal information and desired travel information, analyzes and returns the possible business visa options for the given data. Token scopes: immigration:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

destination_countrystringRequiredformat: "^[A-Z]{2}$"

The destination country code of the trip in ISO 3166-1 alpha-2 format

nationalitystringRequiredformat: "^[A-Z]{2}$"

The nationality country code of the person in ISO 3166-1 alpha-2 format

residence_countrystringRequiredformat: "^[A-Z]{2}$"

The residence country code of the person in ISO 3166-1 alpha-2 format

trip_start_datestringRequiredformat: "date"

The trip start date in ISO 8601 format (YYYY-MM-DD)

trip_end_datestringRequiredformat: "date"

The trip end date in ISO 8601 format (YYYY-MM-DD)

trip_reasonenumRequired
The reason for the trip
second_nationalitystringOptionalformat: "^[A-Z]{2}$"

The second nationality country code of the person in ISO 3166-1 alpha-2 format (optional)

Response

Successful operation.
dataobject

Errors